### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions
CoxIngersollRoss Class Reference
Short-rate modelling framework

Cox-Ingersoll-Ross model class. More...

`#include <ql/models/shortrate/onefactormodels/coxingersollross.hpp>`

Inheritance diagram for CoxIngersollRoss:
[legend]

List of all members.

## Classes

class | Dynamics
| Dynamics of the short-rate under the Cox-Ingersoll-Ross model More...

## Public Member Functions

| CoxIngersollRoss (Rate r0=0.05, Real theta=0.1, Real k=0.1, Real sigma=0.1)
virtual Real | discountBondOption (Option::Type type, Real strike, Time maturity, Time bondMaturity) const
virtual boost::shared_ptr < ShortRateDynamics > | dynamics () const
| returns the short-rate dynamics
boost::shared_ptr< Lattice > | tree (const TimeGrid &grid) const
| Return by default a trinomial recombining tree.

## Protected Member Functions

Real | A (Time t, Time T) const
Real | B (Time t, Time T) const
Real | theta () const
Real | k () const
Real | sigma () const
Real | x0 () const

## Detailed Description

Cox-Ingersoll-Ross model class.

This class implements the Cox-Ingersoll-Ross model defined by

Bug:
  this class was not tested enough to guarantee its functionality.